package com.yeejoin.amos.fas.business.service.intfc;

import com.yeejoin.amos.fas.business.param.CommonPageInfoParam;
import org.springframework.data.domain.Page;

import java.util.HashMap;
import java.util.List;

public interface IAccidentTypeService {

	void detAccidentType(Long[] param);

	void editAccidentType(HashMap<String, Object> map);

	List<HashMap<String, Object>> queryAccidentType(String orgCode);

	Page<HashMap<String, Object>> queryAccidentTypePage(String toke, String product, String appKey,
			CommonPageInfoParam param);

}
